### Method

# Vte Terminal get_text_format

since: 0.76

#### Declaration [src]

    char*
    vte_terminal_get_text_format (
      VteTerminal* terminal,
      VteFormat format
    )

#### Description [src]

Returns text from the visible part of the terminal in the specified format.

This method is unaware of BiDi. The columns returned in `attributes` are logical columns.

Available since: 0.76

#### Parameters

`format`

  Type: `VteFormat`

  The `VteFormat` to use.

#### Return value

Type: `char*`

A newly allocated text string, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.